<h2>Test2 Component</h2>

Enter ID:   <input type="text" name="personId"   [(ngModel)]="person.id"  /> <br/>
Enter Name: <input type="text" name="personName" [(ngModel)]="person.name"  /> <br/>

<button (click)="submit()"> Submit </button>

<br/><br/>

id:   {{person.id}}   <br/>
name: {{person.name}} <br/>
age:  {{person.age}}  <br/><br/>

<h3><u>Hobbies</u></h3>
<ul>
    <li *ngFor="let hobby of person.hobbies"> {{hobby}} </li>
</ul>
<br/><br/>

<h3><u>Address</u></h3>
StreetNo: {{person.address.streetNo}} <br/>
City:     {{person.address.city}}     <br/>
State:    {{person.address.state}}    <br/><br/>

